Skip to main content
GET
Award Types

Authorizations

apiKey
string
query
required

Path Parameters

slug
string
required

Slug of the league to get award types for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: slug, name, leagueSlug, types, trophyIcon, isHighlighted, links, eliteprospectsUrlPath, updatedAt, _links

Available options:
slug,
name,
leagueSlug,
types,
trophyIcon,
isHighlighted,
links,
eliteprospectsUrlPath,
updatedAt,
_links,
trophyIcon.*,
links.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
name,
-name,
updatedAt,
-updatedAt
name
string

Filter by name

q
string

Filter by q

type
enum<string>

Filter by type

Available options:
player,
staff
type:not
enum<string>

Filter by type not equal to

Available options:
player,
staff
isHighlighted
boolean

Filter by isHighlighted

trophyIcon:hasContent
boolean

Filter by trophyIcon has content

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of award types.

_meta
object
data
object[]